import { Image, Text, View } from "@tarojs/components"
import right from '@/images/right.png'
import msg from '@/images/msg.png'
import ling from '@/images/ling.png'
import './index.scss'
import { useState } from "react"
import Taro from "@tarojs/taro"
import backNav from '@/images/backNav.png'
import { useEffect } from "react"


const Login = () => {

    // 返回页面
    const backFn = () => {
        Taro.getCurrentPages().length > 0 && Taro.navigateBack()
    }


    return <View className="message-frame  h-screen text-base">
        <View className='addr-detail-title'>
            <Image src={backNav} className="square-35 absolute left-10 nav-icon" onClick={backFn} />
            消息中心
        </View>
        <View className="message-container">
            <View className="flex-between">
                <View className="flex-start">
                    <View className="msg-icon-container flex-center">
                        <Image src={msg} className="msg-icon" />
                    </View>
                    <Text className="message-title">消息中心</Text>
                </View>
                <Image src={right} className="msg-icon" />
            </View>
            <View className="flex-between mt25">
                <View className="flex-start">
                    <View className="msg-icon-container flex-center">
                        <Image src={ling} className="msg-icon" />
                    </View>
                    <Text className="message-title">系统消息</Text>
                </View>
                <Image src={right} className="msg-icon" />
            </View>
        </View>
    </View>
}


export default Login